MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024763Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-03-25 15:082014-11-11 12:51
Reporterdln 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024763: Convertation of the generic classes to the non-generic. Part 6
DescriptionNext generic classes:

 "Contap_ArcFunction",
 "Contap_ContourGen",
 "Contap_HContToolGen",
 "Contap_HCurve2dToolGen",
 "Contap_Line",
 "Contap_Point",
 "Contap_SurfFunction",
 "Contap_SurfProps"
 
from "Contap" package were converted to the non-generic classes. Names of several classes were changed:

 "Contap_Contour",
 "Contap_HContTool",
 "Contap_HCurve2dTool",
 "Contap_Line",
 "Contap_Point"

 Also all instantiations of the "internal" classes of this classes were moved to the "Contap.cdl". And sources of the "Contap_ContourGen" class were merged to one .cxx file.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028462)
dln (developer)
2014-03-25 15:14

Changes are ready for review in CR24763 branch.
(0028522)
kgv (developer)
2014-03-27 21:56

Dear ifv, please look onto patch from your point of view.

Since src/Contap/Contap_Contour.cxx is not treated as renamed file by git, I would apply automatic formatting tools on it...
(0028549)
ifv (developer)
2014-03-28 16:57

Ok
(0028610)
mkv (tester)
2014-04-01 20:32

Dear BugMaster,

Branch CR24763 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 6f5df3b3c90e6bee0e953d292be6e6f455a10664

Number of compiler warnings:

occt component :
Linux: 27 (27 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 390864536 / 390749972
Total CPU difference: 56615.28999999973 / 56776.32999999989

Testing on Windows:
Total MEMORY difference: 416539960 / 407369552
Total CPU difference: 32305.890625 / 39172.21875

There are no differences in images found by testdiff.

- Related Changesets
occt: master e2065c2f
Timestamp: 2014-03-25 07:55:53
Author: dln
Committer: apn
Details ] Diff ]
0024763: Convertation of the generic classes to the non-generic. Part 6

Next generic classes:

 "Contap_ArcFunction",
 "Contap_ContourGen",
 "Contap_HContToolGen",
 "Contap_HCurve2dToolGen",
 "Contap_Line",
 "Contap_Point",
 "Contap_SurfFunction",
 "Contap_SurfProps"

from "Contap" package were converted to the non-generic classes. Names of several classes were changed:

 "Contap_Contour",
 "Contap_HContTool",
 "Contap_HCurve2dTool",
 "Contap_Line",
 "Contap_Point"

 Also all instantiations of the "internal" classes of this classes were moved to the "Contap.cdl". And sources of the "Contap_ContourGen" class were merged to one .cxx file.
mod - src/Contap/Contap.cdl Diff ] File ]
mod - src/Contap/Contap_ArcFunction.cdl Diff ] File ]
mod - src/Contap/Contap_ArcFunction.lxx Diff ] File ]
add - src/Contap/Contap_Contour.cxx Diff ] File ]
rm - src/Contap/Contap_ContourGen.gxx Diff ] File ]
rm - src/Contap/Contap_ContourGen_1.gxx Diff ] File ]
rm - src/Contap/Contap_ContourGen_2.gxx Diff ] File ]
rm - src/Contap/Contap_ContourGen_3.gxx Diff ] File ]
mod - src/Contap/Contap_Line.cdl Diff ] File ]
mod - src/Contap/Contap_Line.lxx Diff ] File ]
mod - src/Contap/Contap_Point.cdl Diff ] File ]
mod - src/Contap/Contap_Point.lxx Diff ] File ]
mod - src/Contap/Contap_SurfFunction.cdl Diff ] File ]
mod - src/Contap/Contap_SurfFunction.lxx Diff ] File ]
mod - src/Contap/Contap_SurfProps.cdl Diff ] File ]
rm - src/Contap/FILES Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.cdl Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-25 15:08 dln New Issue
2014-03-25 15:08 dln Assigned To => abv
2014-03-25 15:14 dln Note Added: 0028462
2014-03-25 15:14 dln Status new => resolved
2014-03-27 21:56 kgv Note Added: 0028522
2014-03-27 21:56 kgv Assigned To abv => ifv
2014-03-28 16:57 ifv Note Added: 0028549
2014-03-28 16:57 ifv Status resolved => reviewed
2014-03-28 18:32 mkv Assigned To ifv => mkv
2014-04-01 20:32 mkv Note Added: 0028610
2014-04-01 20:32 mkv Test case number => Not needed
2014-04-01 20:32 mkv Assigned To mkv => bugmaster
2014-04-01 20:32 mkv Status reviewed => tested
2014-04-04 14:00 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:03 apn Changeset attached => occt master e2065c2f
2014-04-04 17:03 apn Assigned To bugmaster => apn
2014-04-04 17:03 apn Status tested => verified
2014-04-04 17:03 apn Resolution open => fixed
2014-04-10 14:47 kgv Relationship added child of 0024487
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker